@charset "utf-8";
@import "../../_variables.sass";

.check-list {
  padding: 10px;
}

.headings-container {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  margin-bottom: 20px;

}

.headings-content {
  display: flex;
  flex-direction: column;

  @include mobile {
    width: 218px;
    height: auto;
    overflow: hidden;
  }
}

.styled-heading {
  font-weight: $weight-bold;
  font-size: 14px;
  white-space: nowrap;
  margin-bottom: 0 !important;

  @include mobile {
    white-space: normal;
    overflow-wrap: break-word;
  }
}


.icon-button-container {
  display: inline-block;
  align-self: flex-start;
  margin-left: auto;
  cursor: pointer;
}

.styled-heading,
.has-text-link {
  font-weight: $weight-bold;
  font-size: 14px !important;
  line-height: 16px;
}

.domains-wrapper {
  display: flex;
}

.domain-grid {
  display: grid;
  grid-template-columns: repeat(2, minmax(200px, 1fr));
  grid-column-gap: 100px;
  grid-row-gap: 16px;
  align-items: start;
}

.widget-preferences-container {
  margin-bottom: 18px;
}


.domain-label-container {
  font-size: 16px;
  font-weight: $weight-bold;
  margin-right: 100px;
  color: $dark-grey;

}

.widget-item,
.mobile-widget-item {
  margin-bottom: 16px;
  font-size: 18px;
  color: $primary;
  font-weight: $weight-normal;
}

.widget-item span {
  margin-right: 5px;
}

.widget-item:last-child {
  margin-bottom: 0;
}

.domain-divider {
  border-top: 1px solid #8e8e8e;
  margin-top: 16px;
}

.btn-confirm-selection {
  margin-left: 188px;
  margin-top: 20px;
}

@media (max-width: 768px) {
  .domains-wrapper {
    display: block;
  }

  .domain-label-container {
    margin-right: 0; // Remove extra spacing in mobile
    margin-bottom: 10px; // Add spacing below label
  }

  .domain-list {
    display: flex;
    flex-direction: column;
    gap: 16px;
  }

  .domain-block {
    display: block;
    width: 100%;
  }

  .btn-confirm-selection {
    margin-left: 0;
    margin-top: 5px;
  }
}
